
void gradient_vp( in      float4   position  : POSITION,
                  uniform float4x4 worldViewProj,
                  uniform float    TopY,
                  uniform float    BottomY,
                  uniform float3   TopColor,
                  uniform float3   BottomColor,
                  out     float4   oPosition : POSITION,
                  out     float4   oColor    : COLOR
              )
 {

	oPosition = mul(worldViewProj, position);

	float Height = TopY - BottomY;

	float3 Step = (TopColor - BottomColor) / Height;

	float3 CLR = ((position.y - BottomY) * Step) + BottomColor;
	
	oColor = float4(CLR.r, CLR.g, CLR.b, 1);
}
 

float4 gradient_fp(in  float4 color  : COLOR) :  COLOR0
{
	return (color);
}